/*
 * Copyright (c) 2021, WSO2 Inc. (http://www.wso2.org) All Rights Reserved.
 *
 * WSO2 Inc. licenses this file to you under the Apache License,
 * Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied. See the License for the
 * specific language governing permissions and limitations
 * under the License.
 *
 *
 */
package org.wso2.ei.dashboard.core.exception.mappers;

import org.wso2.ei.dashboard.core.exception.DashboardServerException;

import java.util.HashMap;
import java.util.Map;

import javax.ws.rs.core.Response;
import javax.ws.rs.ext.ExceptionMapper;
import javax.ws.rs.ext.Provider;

/**
 * This class is managing dashboard server exceptions.
 */
@Provider
public class EntityNotFoundMapper implements ExceptionMapper<DashboardServerException> {

    @Override
    public Response toResponse(DashboardServerException e) {

        Map<String, String> responseBody = new HashMap<>();
        responseBody.put("message", "Internal server error");

        return Response.status(Response.Status.INTERNAL_SERVER_ERROR)
                .entity(responseBody)
                .header("content" +
                        "-type", "application/json").build();
    }
}
